Bug 7206 - REGRESSION: PDF "images" no longer render within HTML pages
Summary: REGRESSION: PDF "images" no longer render within HTML pages
Status: VERIFIED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Nobody
URL:
Keywords: HasReduction, Regression
Depends on:
Blocks: 5051
  Show dependency treegraph
 
Reported: 2006-02-11 20:08 PST by David Kilzer (:ddkilzer)
Modified: 2006-02-25 05:36 PST (History)
1 user (show)

See Also:


Attachments
Test case from Bug 5051 (6.31 KB, application/x-webarchive)
2006-02-11 20:08 PST, David Kilzer (:ddkilzer)
no flags Details
Test case (174 bytes, text/html)
2006-02-12 21:02 PST, David Kilzer (:ddkilzer)
no flags Details
Test case PDF image (4.85 KB, application/pdf)
2006-02-12 21:03 PST, David Kilzer (:ddkilzer)
no flags Details
Patch (r12777-r12778 in anonsvn) (5.22 KB, patch)
2006-02-14 20:10 PST, David Kilzer (:ddkilzer)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Kilzer (:ddkilzer) 2006-02-11 20:08:09 PST
In Safari 2.0.3 (417.8) on Mac OS X 10.4.4, a web page with <img> tags referencing PDF files will render.

In WebKit ToT (r12754), they are broken images.  See also Bug 5051.
Comment 1 David Kilzer (:ddkilzer) 2006-02-11 20:08:56 PST
Created attachment 6424 [details]
Test case from Bug 5051
Comment 2 David Kilzer (:ddkilzer) 2006-02-12 21:02:31 PST
Created attachment 6448 [details]
Test case
Comment 3 David Kilzer (:ddkilzer) 2006-02-12 21:03:28 PST
Created attachment 6449 [details]
Test case PDF image
Comment 4 David Kilzer (:ddkilzer) 2006-02-14 20:10:37 PST
Created attachment 6497 [details]
Patch (r12777-r12778 in anonsvn)
Comment 5 David Kilzer (:ddkilzer) 2006-02-25 05:36:17 PST
Verified fixed in r12988.